Skip to main content
GET
/
transactions
/
{transactionId}
Get transaction by ID
curl --request GET \
  --url https://api.anchorage-staging.com/v2/transactions/{transactionId} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": {
    "amount": {
      "quantity": "10.45234733",
      "assetType": "BTC",
      "currentPrice": "9751.01",
      "currentUSDValue": "101920.94"
    },
    "assetType": "BTC",
    "description": "Withdrawing to exchange",
    "id": "9d570c38a148a6e0b4facf1e0d8c27dd6eba48c41421be1ba8bb778cbeb1a4df",
    "transactionType": "WITHDRAW",
    "vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
    "vaultName": "Long Hold Vault",
    "blockchainTxId": "0xd7b99c44240ae5bdd7d2f8572358ee2a521c4d93b74c8fd3df6557ac9f02b008",
    "dateTime": "2019-01-02T12:34:56.000Z",
    "destinationAddresses": [
      "<string>"
    ],
    "extra": "Blockchain-specific details, such as memo in XLM",
    "fee": {
      "quantity": "10.45234733",
      "assetType": "BTC",
      "currentPrice": "9751.01",
      "currentUSDValue": "101920.94"
    },
    "fiatDetails": {
      "accountNumber": "123456789",
      "bankId": "IRVTUS3N",
      "bankName": "The Bank of New York Mellon",
      "fedWire": "20260524ABCDXXXX012345",
      "memo": "Quarterly dividend",
      "name": "Satoshi Nakamoto"
    },
    "sourceAddresses": [
      "<string>"
    ],
    "walletId": "d24b424293c0d64c6194f52801b3d293"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

transactionId
string
required

The ID of the transaction to get details for

Response

A transaction's metadata

data
TransactionDetails · object
required